Subject: Re: [Bitcoin-development] About the small number of bitcoin nodes

From: Justus Ranvier <[email-masked]>
Date: Mon, 19 May 2014 09:25:07 +0200

On 05/19/2014 09:11 AM, Jeff Garzik wrote:
> Meh.  I like example configs, perhaps tuned by the distro.  If the 
> distro (_not_ Bitcoin Core upstream) chooses to install a
> bitcoin.conf in the proper location, that's up to them.
> 
> 
>> - bitcoind and Bitcoin Core should be in Linux repos:
> 
> Agreed with conditions: 1) The distro MUST let bitcoin devs dictate
> which dependent libs are shipped with / built statically into the
> bitcoin binaries/libs. 2) The distro MUST permit fresh updates even
> to older stable distros. 2) The maintainer(s) MUST be active, and
> follow bitcoin development, release status, etc. on a near-daily
> basis, be able to respond quickly if security issues arise, etc.

If we're talking about making bitcoind behave like a proper daemon,
then syslog support should be on the list.

Also, the option to store things in FHS-compliant directories (not
somewhere/.bitcoin)